Loading...
Searching...
No Matches
Ogre::AssimpLoader Class Reference
Plugins » AssimpCodec

`#include <OgreAssimpLoader.h>`

## Classes

struct | Options

## Public Types

enum | LoaderParams { LP_CUT_ANIMATION_WHERE_NO_FURTHER_CHANGE = 1 << 0 , LP_QUIET_MODE = 1 << 1 }

## Public Member Functions

| AssimpLoader ()
virtual | ~AssimpLoader ()
bool | load (const DataStreamPtr &source, Mesh *mesh, SkeletonPtr &skeletonPtr, const Options &options=Options())
bool | load (const String &source, Mesh *mesh, SkeletonPtr &skeletonPtr, const Options &options=Options())

## Member Enumeration Documentation

## LoaderParams

enum Ogre::AssimpLoader::LoaderParams

Enumerator
LP_CUT_ANIMATION_WHERE_NO_FURTHER_CHANGE |
LP_QUIET_MODE |

## Constructor & Destructor Documentation

## AssimpLoader()

Ogre::AssimpLoader::AssimpLoader | ( |  | ) |

## ~AssimpLoader()

virtual Ogre::AssimpLoader::~AssimpLoader | ( |  | ) |

virtual

## Member Function Documentation

## load() [1/2]

bool Ogre::AssimpLoader::load | ( | const String & | source,
|  | Mesh * | mesh,
|  | SkeletonPtr & | skeletonPtr,
|  | const Options & | options = Options() )

## load() [2/2]

bool Ogre::AssimpLoader::load | ( | const DataStreamPtr & | source,
|  | Mesh * | mesh,
|  | SkeletonPtr & | skeletonPtr,
|  | const Options & | options = Options() )

The documentation for this class was generated from the following file:

- OgreAssimpLoader.h